Write a file
Write a single file to the sandbox. The raw file bytes are sent as the request body.
Write a single file to the sandbox. The raw file bytes are sent as the request body.
Authorization
BearerAuth AuthorizationBearer <token>
API key passed as a Bearer token in the Authorization header.
Alternatively, use the leap0-authorization header.
In: header
Path Parameters
sandboxID*string
Unique sandbox identifier.
Query Parameters
path*string
Absolute file path inside the sandbox.
permissions?string
Optional octal file mode (e.g. "0755").
Request Body
application/octet-stream
TypeScript Definitions
Use the request body type in TypeScript.
body*file
Format
binaryResponse Body
application/json
application/json
curl -X POST "https://api.leap0.dev/v1/sandbox/string/filesystem/write-file?path=string" \ -H "Content-Type: application/octet-stream" \ -d 'string'Empty
{ "message": "string", "errors": [ { "field": "string", "error": "string" } ]}{ "message": "string"}
